# DataExchange
TKIGES
IGESBasic

# IGESBasic_HArray1OfHArray1OfReal Class Reference

`#include <IGESBasic_HArray1OfHArray1OfReal.hxx>`

## Public Member Functions

Standard_EXPORT | IGESBasic_HArray1OfHArray1OfReal (const Standard_Integer low, const Standard_Integer up)
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT Standard_Integer | Length () const
Standard_EXPORT void | SetValue (const Standard_Integer num, const Handle(TColStd_HArray1OfReal)&val)
Standard_EXPORT Handle_TColStd_HArray1OfReal | Value (const Standard_Integer num) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfTransient | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_HArray1OfHArray1OfReal::IGESBasic_HArray1OfHArray1OfReal | ( | const Standard_Integer | low,
|  | const Standard_Integer | up
| ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_HArray1OfHArray1OfReal::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_HArray1OfHArray1OfReal::Length | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_HArray1OfHArray1OfReal::Lower | ( |  | ) | const

Standard_EXPORT void IGESBasic_HArray1OfHArray1OfReal::SetValue | ( | const Standard_Integer | num,
|  | const Handle(TColStd_HArray1OfReal)& | val
| ) |

Standard_EXPORT Standard_Integer IGESBasic_HArray1OfHArray1OfReal::Upper | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal IGESBasic_HArray1OfHArray1OfReal::Value | ( | const Standard_Integer | num | ) | const

## Field Documentation

TColStd_Array1OfTransient IGESBasic_HArray1OfHArray1OfReal::thelist `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_HArray1OfHArray1OfReal.hxx